CRMchat APIBeta
Telegram APIAccount

account.disablePeerConnectedBot

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/account.disablePeerConnectedBot

Permanently disconnect a specific chat from all business bots » (equivalent to specifying it in recipients.exclude_users during initial configuration with account.RawUpdateConnectedBotRequest); to reconnect of a chat disconnected using this method the user must reconnect the entire bot by invoking account.RawUpdateConnectedBotRequest.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Permanently disconnect a specific chat from all business bots » (equivalent to specifying it in recipients.exclude_users during initial configuration with account.RawUpdateConnectedBotRequest); to reconnect of a chat disconnected using this method the user must reconnect the entire bot by invoking account.RawUpdateConnectedBotRequest.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.disablePeerConnectedBot" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      }    }  }'
{  "result": true}